<script>
	import Sugar from 'sugar'

	let forma = 0

	let largo = 5
	let altura = 2.8

	$: area = largo * altura
	let factor = 1.1

	let ladrilloValores = [ 66, 39, 29 ]
	let bolsasValores = [ 2, 1, 0.5 ]

	$: ladrillo = ladrilloValores[forma] * area * factor
	$: bolsas = bolsasValores[forma] * area * factor
	$: arena = bolsas * 5

</script>

<h1 class="font-bold">Muros</h1>

<hr class="my-4">

<table id="valores" class="auto">
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Forma de colocar el ladrillo</td>
		<td class="px-4 py-1 border bg-gray-100">
			<div class="grid  grid-cols-3 gap-4">
				<label>
					<input type="radio" name="forma" value={0} bind:group="{forma}">
					<span>De Cabeza</span>
				</label>
				<label>
					<input type="radio" name="forma" value={1} bind:group="{forma}">
					<span>De Soga</span>
				</label>
				<!-- <label>
					<input type="radio" name="forma" value={2} bind:group="{forma}">
					<span>De Canto</span>
				</label> -->
			</div>

		</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Tipo de ladrillo</td>
		<td class="px-4 py-1 border bg-gray-100">18 huecos</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Largo del muro (m)</td>
		<td class="p-1 border bg-gray-100">
			<input class="bg-white p-1 w-full px-3" type="number" bind:value="{largo}" step="0.1">
		</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Altura del muro (m)</td>
		<td class="p-1 border bg-gray-100">
			<input class="bg-white p-1 w-full px-3" type="number" bind:value="{altura}" step="0.1">
		</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Cantidad de ladrillo</td>
		<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(ladrillo)}</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Bolsas de cemento</td>
		<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(bolsas)}</td>
	</tr>
	<tr>
		<td class="px-4 py-1 border bg-gray-100">Arena gruesa (m3)</td>
		<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(arena)}</td>
	</tr>
</table>
